package com.ruoyi.jjh.ent.entity.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.Date;

/**
 * 项目追踪情况返回体
 *
 * @author du
 * @since 2024/7/16 9:15
 */
@Data
@ApiModel("项目追踪情况返回体")
public class ProjectTrackingResponse {


    /**
     * 项目小类
     */
    @ApiModelProperty("项目小类")
    private Integer projectSmallType;

    /**
     * 提醒时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "提醒时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date alertTime;


    /**
     * 提醒内容
     */
    @ApiModelProperty("提醒内容")
    private String alertContent;
}
